WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Gravity Forms Paystation (3 Party Hosted)

Integrates Gravity Forms with the Paystation 3 party hosted payment gateway allowing end-users to purchase goods and services via Gravity Forms.

What is Paystation (3 party hosted)?

Paystation (3 party hosted) is a Credit Card payment gateway. Paystation is one of New Zealand's leading online payments solution providers.

Will this plugin work without installing Gravity Forms?

No. This plugin adds a Paystation 3rd Party Hosted gateway to Gravity Forms so that you can do online payments with your forms. You must purchase and install a copy of the Gravity Forms plugin.

What Gravity Forms license do I need?

Any Gravity Forms license will do; you can use this plugin with the Personal, Business or Developer licenses.

Where will the customer be directed after they complete their payment with the Paystation payment screens?

Standard Gravity Forms submission logic applies. The customer will either be shown your chosen confirmation message, an error message if the payment failed, directed to a nominated page on your website, or sent to a custom URL. It depends on what you have specified for the Confirmation settings of the Gravity Form.

Where do I find the Paystation transaction number?

Successful transaction details including the Paystation transaction number are shown in the Info box when you view the details of a form entry in the WordPress admin. Details of the payment also appear in the Paystation online Admin which you as Paystation customer have access to.

How do I change my currency type?

Use your Gravity Forms Settings page to select the currency type to pass to Paystation. Please ensure your currency type is one of the ones supported by Paystation.

Where can I find dummy Credit Card details for testing purposes?

Visit the Test Card Number page

Can I use this plugin on any shared-hosting environment?

The plugin will run in shared hosting environments, but requires PHP 5 with the following module enabled (talk to your host). This is typically available because is is enabled by default in PHP 5, but may be disabled on some shared hosts.

  • SimpleXML

Requires: 3.3 or higher
Compatible up to: 3.8.0
Last Updated: 2014-3-5
Downloads: 1,138

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.